varying vec3 norms;
varying vec4 verts;
void main()
{

	vec3 l  = normalize(lightPos  - worldPosition.xyz);
	vec3 l2 = normalize(lightPos2 - worldPosition.xyz);

	float diffuseAmt  = max(dot(norms, l), 0.);
	float diffuseAmt2  = max(dot(norms, l2), 0.);

	vec3 diffuseColor  = vec3(0.3,0.01,0.2) * diffuseAmt *.5;
	vec3 diffuseColor2  = vec3(0.01,0.2,0.3) * diffuseAmt2 * .5;

	gl_FragColor = vec4(gl_Color.xyz + (diffuseColor  + diffuseColor2)*gl_Color.w,1.0);
}